<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- <link rel="stylesheet" type="text/css" href="./style.css"> -->

	<!-- css bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<!-- meta tag bootstrap -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	<title>Bootstrap Grid System</title>
</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- two columns start -->
	<h2>Two Columns</h2>
	<div class="container-fluid">
		<!-- row with 2 equal columns -->
		<h3>1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-6">6 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 Col</div>
		</div>

		<!-- row with 2 columns divided in 1:2 ratio -->
		<h3>1:2 ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">8 Col</div>
		</div>

		<!-- row with 3 columns divided on 1:3 ratio -->
		<h3>1:3 ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">9 col</div>
		</div>

	</div>

	<!-- end of two columns -->

	<!-- start of 3 columns -->
	<h2>Three Columns</h2>
	<div class="container-fluid">

		<!-- row with 3 equal columns -->
		<h3>1:1:1 Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">4 col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">4 col</div>
		</div>

		<h3>1:2:1</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">6 col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 col</div>
		</div>

		<h3>Uneven Ratio</h3>
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-3">3 Col</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-7">7 Col</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-2">2 Col</div>
		</div>
	</div>

	<!-- end of 3 columns -->
	<!-- CRC Rule - container,row,col -->

	<!-- Automatic Sizing Start -->
	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col">Auto</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col">Auto</div>
		</div>
	</div>
	<!-- Automatic Sizing End -->

	<!-- Mobile Responsive Column Start -->
	<h2>Mobile Responsive Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
		</div>
	</div>
	<!-- Mobile Responsive Column End -->

	<!-- Multi-Column Layout Start -->
	<h2>Multi -Column Layouts</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
			<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
		</div>
	</div>
	<!-- Multi-Column Layout End -->


	<!-- Offsetting Colums Start -->
	<h2>Offsetting Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
		</div>
	</div>
	<!-- Offsetting Colums End -->

	<!-- Columns Orders Start -->
	<h2>Column Orders</h2>
	<div class="container-fluid">
		<div class="text-light row">
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">left</div>
			<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
		</div>
	</div>
	<!-- Columns Orders End -->





	<!-- JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>